=== modified file 'NEWS'
--- NEWS	2008-05-29 15:14:45 +0000
+++ NEWS	2008-05-29 20:34:27 +0000
@@ -43,6 +43,9 @@
 
   BUGFIXES:
 
+    * ``bzr merge --lca`` should handle when two revisions have no common
+      ancestor other than NULL_REVISION. (John Arbash Meinel, #235715)
+
     * ``bzr push`` with both ``--overwrite`` and ``-r NNN`` options no longer
       fails.  (Andrew Bennetts, #234229)
       

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2008-05-23 21:45:50 +0000
+++ bzrlib/merge.py	2008-05-29 19:46:01 +0000
@@ -1434,7 +1434,10 @@
         _PlanMergeBase.__init__(self, a_rev, b_rev, vf)
         self.lcas = graph.find_lca(a_rev, b_rev)
         for lca in self.lcas:
-            lca_lines = self.vf.get_lines(lca)
+            if _mod_revision.is_null(lca):
+                lca_lines = []
+            else:
+                lca_lines = self.vf.get_lines(lca)
             matcher = patiencediff.PatienceSequenceMatcher(None, self.lines_a,
                                                            lca_lines)
             blocks = list(matcher.get_matching_blocks())

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2008-04-07 04:54:52 +0000
+++ bzrlib/tests/test_merge.py	2008-05-29 19:46:01 +0000
@@ -644,6 +644,15 @@
                           ('conflicted-b', 'e\n'),
                          ], list(plan))
 
+    def test_plan_lca_merge_with_null(self):
+        self.add_version('A', [], 'ab')
+        self.add_version('B', [], 'bc')
+        plan = self.plan_merge_vf.plan_lca_merge('A', 'B')
+        self.assertEqual([('new-a', 'a\n'),
+                          ('unchanged', 'b\n'),
+                          ('new-b', 'c\n'),
+                         ], list(plan))
+
 
 class TestMergeImplementation(object):
 

